require 'mailstro'

SPEC_PATH     = Pathname.new(File.expand_path('..', __FILE__))
FIXTURES_PATH = SPEC_PATH.join('fixtures')

Dir[SPEC_PATH.join("support/**/*.rb")].each { |f| require f }

RSpec.configure do |config|
  config.after(:each) do
    Mailstro::TestStrategy.clear
    Mailstro.strategy = Mailstro::ProductionStrategy
  end

  config.order = "random"
  config.treat_symbols_as_metadata_keys_with_true_values = true
end
