# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'mailstro/version'

Gem::Specification.new do |spec|
  spec.name          = "mailstro"
  spec.version       = Mailstro::VERSION
  spec.authors       = ["Keith Pitt", "Shanon McQuay"]
  spec.email         = ["keith@mailstroapp.com", "shanon@mailstroapp.com"]
  spec.description   = %q{Ruby wrapper for mailstroapp.com}
  spec.summary       = %q{Ruby wrapper for mailstroapp.com}
  spec.homepage      = "https://www.mailstroapp.com"
  spec.license       = "MIT"

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_dependency             "faraday"
  spec.add_dependency             "faraday_middleware"
  spec.add_dependency             "hashie"
  spec.add_development_dependency "bundler"
  spec.add_development_dependency "dotenv"
  spec.add_development_dependency "rake"
  spec.add_development_dependency "rspec"
end
